Documenting Problems That Were Difficult To Find The Answer To

Munin Ubuntu Lucid 1.4.4 TLS Problems

So I’ve just spent the last few hours trying to get Munin working using TLS on Ubuntu Lucid (Munin package version 1.4.4).

I was swearing and cursing until I discovered it was a well-known bug.

I was seeing entries in /var/log/munin/munin-update.log like:

2014/03/26 18:19:09 TLS set to "enabled".
2014/03/26 18:19:09 [WARNING] Failed worker localdomain;localhost.localdomain


2014/03/26 18:20:01 TLS set to "enabled".
2014/03/26 18:20:01 [ERROR] Munin::Master::UpdateWorker died with 'Undefined subroutine &Munin::Master::Node::logger called at /usr/share/perl5/Munin/Common/ line 164,  line 1.
        ...propagated at /usr/share/perl5/Munin/Common/ line 66,  line 1.

The solution seemed to be downloading a Squeeze version of the munin package version 1.4.5 from the Squeeze munin-common all architecture download page.

Then installing with the command line:

dpkg --install munin-common_1.4.5-3_all.deb

.. which upgraded the existing package.

At which point the munin master started working again.

Leave a Reply

Fill in your details below or click an icon to log in: Logo

You are commenting using your account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s

%d bloggers like this: